UnlimitedPallets = {}

function UnlimitedPallets:initialize()
    -- Override the default behavior for pallet spawn limits globally
    if g_husbandrySystem and g_husbandrySystem.husbandries then
        for _, husbandry in pairs(g_husbandrySystem.husbandries) do
            if husbandry.setNumSpawnedPallets then
                husbandry:setNumSpawnedPallets(10000)
            end
        end
    end

    if g_productionChainManager and g_productionChainManager.productionPoints then
        for _, productionPoint in pairs(g_productionChainManager.productionPoints) do
            if productionPoint.setNumSpawnedPallets then
                productionPoint:setNumSpawnedPallets(10000)
            end
        end
    end
end

function UnlimitedPallets:loadMap()
    self:initialize()
end

function UnlimitedPallets:modsLoaded()
    self:initialize()
end

addModEventListener(UnlimitedPallets)
